Page MenuHomePhabricator

Allow 'CodeGenObjC/illegal-UTF8.m' test for 32-bit targets.
ClosedPublic

Authored by vvereschaka on Apr 30 2019, 2:37 PM.

Details

Summary

The 'CodeGenObjC/illegal-UTF8.m' get failed with Clang built with 32-bit targets only (as example ARM-only) with the following error:

error: unable to create target: 'No available targets are compatible with triple "< ... any 64-bit target triple ... >"'

I didn't find any 64-bit dependencies for the test and I think removing '-m64' option should fix the problem and allow this test for any target specified by LLVM_DEFAULT_TARGET_TRIPLE.

Diff Detail

Repository
rL LLVM

Event Timeline

vvereschaka created this revision.Apr 30 2019, 2:37 PM
gkistanova accepted this revision.May 3 2019, 4:53 PM
gkistanova added a subscriber: gkistanova.

Thanks for fixing this, Vlad!

This revision is now accepted and ready to land.May 3 2019, 4:53 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 5 2019, 8:28 PM